Summary: A version of the MIT Athena widget set for X.
Name: Xaw3d
Version: 1.6.3
Release: 1
Group: System Environment/Libraries
License: MIT
URL: ftp://ftp.x.org/contrib/widgets/Xaw3d/
Source0: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/lib%{name}-%{version}.tar.bz2
Source1: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/lib%{name}-%{version}.tar.bz2.sig
Patch0: %{name}-%{version}-aix.patch
Patch7: %{name}-1.6.1-3Dlabel.patch
Patch10: %{name}-1.6.1-fontset.patch
Patch11: %{name}-1.6.1-hsbar.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xorg-compat-aix >= 1.1
BuildRequires: libXpm-devel >= 3.5.11-1
Requires: libXpm >= 3.5.11-1

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files and static libraries for development using Xaw3d.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n lib%{name}-%{version}
%patch7 -p1 -b .3Dlabel
%patch10 -p1 -b .fontset
%patch11 -p1 -b .hsbar
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-arrow-scrollbars \
    --enable-gray-stipples \
    --enable-multiplane-bitmaps

# first build the 64-bit version
export OBJECT_MODE=64
make

mkdir SAVE
mv ./src/.libs/lib%{name}.so.8 SAVE/

make clean

# now build the 32-bit version
export OBJECT_MODE=32
make

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared object
ar -X64 -q ./src/.libs/lib%{name}.a SAVE/lib%{name}.so.8

# add compatibility members for older applications
cp ./src/.libs/lib%{name}.so.8 shr.o
cp ./SAVE/lib%{name}.so.8 shr64.o
ar -X32 -q ./src/.libs/lib%{name}.a shr.o
ar -X64 -q ./src/.libs/lib%{name}.a shr64.o


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/lpp/X11/lib/R6
  mkdir -p usr/lib
  ln -s %{_libdir}/libXaw3d.a usr/lpp/X11/lib/R6
  ln -s %{_libdir}/libXaw3d.a usr/lib

  mkdir -p usr/lpp/X11/include/X11
  ln -s %{_includedir}/X11/Xaw3d usr/lpp/X11/include/X11/Xaw3d
  ln -s %{_includedir}/X11/Xaw3d usr/lpp/X11/include/Xaw3d
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%{_libdir}/*.a
/usr/lpp/X11/lib/R6/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_includedir}/X11/Xaw3d
/usr/lpp/X11/include/X11/Xaw3d
/usr/lpp/X11/include/Xaw3d


%changelog
* Mon Oct 08 2018 Michael Perzl <michael@perzl.org> - 1.6.3-1
- updated to version 1.6.3

* Sun Jun 03 2012 Michael Perzl <michael@perzl.org> - 1.6.2-1
- updated to version 1.6.2

* Fri Jul 04 2008 Michael Perzl <michael@perzl.org> - 1.5-5
- first version for AIX V5.1 and higher
